#!/usr/bin/env bash

system_log_dir="/var/log"

if [ ! -d "$system_log_dir" ]; then
   exit 1
fi

cd $system_log_dir

for i in ${system_log_dir}/*.log ; do 
   > $i 
done 


[[ -f "syslog" ]] && > syslog 
[[ -f "messages" ]] && > messages 

[[ -f "mail.err" ]] && > mail.err 
[[ -f "mail.info" ]] && > mail.info 
[[ -f "mail.warn" ]] && > mail.warn 

[[ -f "faillog" ]] && > faillog 
[[ -f "debug" ]] && > debug 

[[ -f "wtmp" ]] && > wtmp 
[[ -f "lastlog" ]] && > lastlog 
[[ -f "dmesg" ]] && > dmesg 
[[ -f "btmp" ]] && > btmp 

[[ -f "fsck/checkroot" ]] && > fsck/checkroot 
[[ -f "fsck/checkfs" ]] && > fsck/checkfs 

[[ -f "apt/history.log" ]] && > apt/history.log 
[[ -f "apt/term.log" ]] && > apt/term.log

[[ -f "${system_log_dir}/named/bind.log" ]] && > ${system_log_dir}/named/bind.log
[[ -f "${system_log_dir}/named/query.log" ]] && > ${system_log_dir}/named/query.log
[[ -f "${system_log_dir}/named/axfr.log" ]] && > ${system_log_dir}/named/axfr.log
[[ -f "${system_log_dir}/named/dnssec.log" ]] && > ${system_log_dir}/named/dnssec.log

if [[ -d "${system_log_dir}/openvpn" ]] ; then
   for i in "${system_log_dir}/openvpn/*.log" ; do
      rm $i
   done
fi

if [[ -d "${system_log_dir}/unifi" ]] ; then
   for i in "${system_log_dir}/unifi/*.log" ; do
      rm $i
   done
fi

exit 0
