#!/usr/bin/env bash


function usage() {

        echo

        if [ -n "$1" ];then
           echo -e "Error: $1\n"
        fi
        cat <<EOF

`basename $0` - Prints out details of the given certificate

   usage: $(basename $0) <path-to-certificate>"

EOF
        exit 1
}

while getopts h opt ; do
   case $opt in
      h) usage
         ;;
      *) usage 
         ;;
   esac
done

[ $# -ne "1" ] && usage "Wrong number of arguments"

cert_file=$1

openssl x509  -noout -text -in $cert_file

exit $?
